{% extends 'panel/layout/base.html.twig' %}

{% block title %}Lista Złoszeń RMA{% endblock %}

{% block body %}
        <div class="card shadow mb-4">
            <div class="card-header py-3">
             <div class="d-sm-flex align-items-center justify-content-between mb-4">
                <h1 class="h3 mb-0 text-gray-800">Lista Zgłoszeń RMA</h1>
                <a href="{{ path('rma_notification_new') }}" class="d-none d-sm-inline-block btn btn-sm btn-success shadow-sm"><i
                    class="fas fa-plus fa-sm text-white-50"></i> Dodaj nowe Zgłoszenie RMA</a>
            </div>

    <table class="table">
        <thead>
            <tr>
                <th>Id RMA</th>
                <th>Numer RMA</th>
                <th>Utworzono</th>
                <th>Numer Seryjny</th>
                <th>Kod Produktu</th>
                <th>Nazwa Produktu</th>
                <th>Data zakupu</th>
                <th>Dokument zakupu</th>
                <th>Numer RMA zew.</th>
                <th>Opis usterki</th>
                <th>Status RMA</th>
                <th>Akcje</th>
            </tr>
        </thead>
        <tbody>
        {% for rma_notification in rma_notifications %}

            <tr>
                <td>{{ rma_notification.id }}</td>
                <td><a href="{{ path('rma_notification_edit', {'id': rma_notification.id}) }}">{{ rma_notification.rmaNumber }}</td>
                <td>{{ rma_notification.createdAt ? rma_notification.createdAt|date('Y-m-d H:i') : '' }}</td>
                <td>{{ rma_notification.serialNumber|default('brak') }}</td>
                <td>{{ rma_notification.productCode|default('brak') }}</td>
                <td>{{ rma_notification.productName|default('brak') }}</td>
                <td>{{ rma_notification.purchaseDate ? rma_notification.purchaseDate|date('Y-m-d') : ''|default('brak') }}</td>
                <td>{{ rma_notification.purchaseDocument|default('brak') }}</td>
                <td>{{ rma_notification.externalComplainCode|default('brak') }}</td>
                <td>{{ rma_notification.damageDescription|slice(0, 40) ~ '...'  }}</td>
                <td>{{ rma_notification.rmaStatus }}</td>
                <td>
                    <a href="{{ path('rma_notification_show', {'id': rma_notification.id}) }}" class="fas fa-eye"></a>
                    <a href="{{ path('rma_notification_edit', {'id': rma_notification.id}) }}" class="fas fa-edit"></a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="13">Drak dodanych zgłoszeń RMA</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    </div>
    </div>
    <div class="navigation">
        {{ knp_pagination_render(rma_notifications) }}
    </div>
{% endblock %}
